cancel
Showing results for 
Search instead for 
Did you mean: 

Prognosis thick client can only connect to server of same version.

05 Base Camper

Prognosis thick client can only connect to server of same version.

As I understand, The Prognosis Windows Client (thick client) can only connect to a server of the same version.
Our prod Prognosis server is on 10.4 and we are in the process of planning to upgrade to 11.1.
All the lower environments has been upgraded to 11.1 already, If we install the thick client version of 11.1 on all the operation team desktop, They cant do the prod support until we go live with 11.1.
However, They need to perform the testing with 11.1 on lower version and need to provide the signoff.
Currently, We have two desktops for very few ops users, They are doing the prod support(10.4) regular PC and doing the lower environment test using new desktop(11.1). It appears, All the ops users can't access and do the test until it goes live.
I am not sure, how it’s being handled at different client place, What would be the best practice? How do we manage this?
Do you install newer version of thick client on all desktop only on the exact implementation day?

I really appreciate If you can provide some insight on this.

Thanks,
Charles(Wells Fargo)
3 REPLIES 3
Community Manager

Re: Prognosis thick client can only connect to server of same version.

HI Charles,

There was another post that is similar that I responded to today:

https://online.prognosis.com/forum/is-installation-and-configuration/prognosis-windows-client/

As per my comment there, it may not be a well known fact that the windows client is backward compatible for a few versions. Your 11.1 GUI should connect fine to 10.4 servers while you transition all servers to the new version. I hope this helps.

(This backward compatibility started being available from 10.1.5 or higher)
05 Base Camper

Re: Prognosis thick client can only connect to server of same version.

Thanks Adam for your quick response on this. It will help us in lower environment testing. Also, We will check and see If the custom code(ignore command) is backward compatible with 10.4.

Re: Prognosis thick client can only connect to server of same version.

The client is backwards compatible at least as well as the upgrades to your analyst rules to 10.4 as you do not use a FIPS mode in your 11.x deployment. The documents themselves though have the version embedded in them so your new 11.1 displays and thresholds (.thr) files cannot be opened in 11.1.. but your 11.1 client can open the 10.4/10.5 documents.

The webui customizations you have for commands is build on your specific 11.1 release and is embedded into your 11.1 displays, as such utilizes 11.1 web functionality..so unless changes are made you cannot open those .dpy files on 10.4.

Christopher

If my answer helped you today, please be sure to mark the resolved button to assist others.

Christopher R Souser - Sr. Services Solution Engineer, Payments & Infrastructure – MSci. PA, CISSP, ITIL.
Blog: What Optimal Transaction Performance Means

A number of our customers use Prognosis to monitor the health of their payment systems. As part of this, they monitor the transactions flowing through the system ...

Read blog
Top Liked Members